"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _string = _interopRequireDefault(require("../string"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DEFAULT_CHARSET = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
/**
 * Generates a random word (a string without any whitespace), optionally of `length` and using chars
 * from provided `charset`.
 */

const createWordGenerator = chance => (length, charset = DEFAULT_CHARSET) => (0, _string.default)(chance)(length, charset);

var _default = createWordGenerator;
exports.default = _default;
//# sourceMappingURL=index.js.map